<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>json-c: issues_closed_for_0</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">json-c
   &#160;<span id="projectnumber">0.14</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.2 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">issues_closed_for_0 </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><p>This list was created with:</p>
<p>``` curl <a href="https://api.github.com/search/issues?q=">https://api.github.com/search/issues?q=</a>"repo%3Ajson-c%2Fjson-c+closed%3A&gt;2014-04-10+created%3A&lt;2017-12-01&amp;sort=created&amp;order=asc&amp;per_page=400&amp;page=1" &gt; issues1.out curl <a href="https://api.github.com/search/issues?q=">https://api.github.com/search/issues?q=</a>"repo%3Ajson-c%2Fjson-c+closed%3A&gt;2014-04-10+created%3A&lt;2017-12-01&amp;sort=created&amp;order=asc&amp;per_page=400&amp;page=2" &gt; issues2.out curl <a href="https://api.github.com/search/issues?q=">https://api.github.com/search/issues?q=</a>"repo%3Ajson-c%2Fjson-c+closed%3A&gt;2014-04-10+created%3A&lt;2017-12-01&amp;sort=created&amp;order=asc&amp;per_page=400&amp;page=3" &gt; issues3.out jq -r '.items[] | "[" + .title + "](" + .url + ")" | tostring' issues?.out &gt; issues.md sed -e's,^[ *(.*)](<a href="https://api.github.com/">https://api.github.com/</a>.*/([0-9].*)),<a href="https://github.com/json-c/json-c/issues/\2">Issue #\2</a> - \1,' -i issues.md #... manual editing ... ``` <hr/>
<p>Issues and Pull Requests closed for the 0.13 release (since commit f84d9c, the 0.12 branch point, 2014-04-10)</p>
<p><a href="https://github.com/json-c/json-c/issues/61">Issue #61</a> - Make <a class="el" href="json__object_8h.html#a27bd808a022251059a43f1f6370441cd">json_object_object_add()</a> indicate success or failure, test fix \ <a href="https://github.com/json-c/json-c/issues/113">Issue #113</a> - Build fixes (make dist and make distcheck) \ <a href="https://github.com/json-c/json-c/issues/124">Issue #124</a> - Fixing build \ <a href="https://github.com/json-c/json-c/issues/125">Issue #125</a> - Fix compile error(variable size set but not used) on g++4.6 \ <a href="https://github.com/json-c/json-c/issues/126">Issue #126</a> - Removed unused size variable. \ <a href="https://github.com/json-c/json-c/issues/127">Issue #127</a> - remove unused <code>size</code> variable \ <a href="https://github.com/json-c/json-c/issues/128">Issue #128</a> - Remove unused variable from json_tokenizer.c \ <a href="https://github.com/json-c/json-c/issues/130">Issue #130</a> - Failed to compile under Ubuntu 13.10 32bit \ <a href="https://github.com/json-c/json-c/issues/131">Issue #131</a> - undefined symbol: __sync_val_compare_and_swap_4 \ <a href="https://github.com/json-c/json-c/issues/132">Issue #132</a> - Remove unused variable 'size' \ <a href="https://github.com/json-c/json-c/issues/133">Issue #133</a> - Update and rename README to <a class="el" href="README_8md.html">README.md</a> \ <a href="https://github.com/json-c/json-c/issues/134">Issue #134</a> - Must remove variable size... \ <a href="https://github.com/json-c/json-c/issues/135">Issue #135</a> - bits.h uses removed json_tokener_errors[error] \ <a href="https://github.com/json-c/json-c/issues/136">Issue #136</a> - Error when running make check \ <a href="https://github.com/json-c/json-c/issues/137">Issue #137</a> - config.h.in should not be in git \ <a href="https://github.com/json-c/json-c/issues/138">Issue #138</a> - Can't build on RHEL 6.5 due to dependency on automake-1.14 \ <a href="https://github.com/json-c/json-c/issues/140">Issue #140</a> - Code bug in random_test.c evaluating same expression twice \ <a href="https://github.com/json-c/json-c/issues/141">Issue #141</a> - Removed duplicate check in random_seed test - bug #140 \ <a href="https://github.com/json-c/json-c/issues/142">Issue #142</a> - Please undeprecate json_object_object_get \ <a href="https://github.com/json-c/json-c/issues/144">Issue #144</a> - Introduce json_object_from_fd \ <a href="https://github.com/json-c/json-c/issues/145">Issue #145</a> - Handle % character properly \ <a href="https://github.com/json-c/json-c/issues/146">Issue #146</a> - TAGS rename \ <a href="https://github.com/json-c/json-c/issues/148">Issue #148</a> - Bump the soname \ <a href="https://github.com/json-c/json-c/issues/149">Issue #149</a> - SONAME bump \ <a href="https://github.com/json-c/json-c/issues/150">Issue #150</a> - Fix build using MinGW. \ <a href="https://github.com/json-c/json-c/issues/151">Issue #151</a> - Remove json_type enum trailing comma \ <a href="https://github.com/json-c/json-c/issues/152">Issue #152</a> - error while compiling json-c library version 0.11 \ <a href="https://github.com/json-c/json-c/issues/153">Issue #153</a> - improve doc for <a class="el" href="json__object_8h.html#ab7390c22baa1700d977c2af6b22d43a4">json_object_to_json_string()</a> \ <a href="https://github.com/json-c/json-c/issues/154">Issue #154</a> - double precision \ <a href="https://github.com/json-c/json-c/issues/155">Issue #155</a> - add bsearch for arrays \ <a href="https://github.com/json-c/json-c/issues/156">Issue #156</a> - Remove trailing whitespaces \ <a href="https://github.com/json-c/json-c/issues/157">Issue #157</a> - JSON-C shall not exit on calloc fail. \ <a href="https://github.com/json-c/json-c/issues/158">Issue #158</a> - while using json-c 0.11, I am facing strange crash issue in json_object_put. \ <a href="https://github.com/json-c/json-c/issues/159">Issue #159</a> - json_tokener.c compile error \ <a href="https://github.com/json-c/json-c/issues/160">Issue #160</a> - missing header file on windows?? \ <a href="https://github.com/json-c/json-c/issues/161">Issue #161</a> - Is there a way to append to file? \ <a href="https://github.com/json-c/json-c/issues/162">Issue #162</a> - json_util: add directory check for POSIX distros \ <a href="https://github.com/json-c/json-c/issues/163">Issue #163</a> - Fix Win32 build problems \ <a href="https://github.com/json-c/json-c/issues/164">Issue #164</a> - made it compile and link on Widnows (as static library) \ <a href="https://github.com/json-c/json-c/issues/165">Issue #165</a> - json_object_to_json_string_ext length \ <a href="https://github.com/json-c/json-c/issues/167">Issue #167</a> - Can't build on Windows with Visual Studio 2010 \ <a href="https://github.com/json-c/json-c/issues/168">Issue #168</a> - Tightening the number parsing algorithm \ <a href="https://github.com/json-c/json-c/issues/169">Issue #169</a> - Doesn't compile on ubuntu 14.04, 64bit \ <a href="https://github.com/json-c/json-c/issues/170">Issue #170</a> - Generated files in repository \ <a href="https://github.com/json-c/json-c/issues/171">Issue #171</a> - Update configuration for VS2010 and win64 \ <a href="https://github.com/json-c/json-c/issues/172">Issue #172</a> - Adding support for parsing octal numbers \ <a href="https://github.com/json-c/json-c/issues/173">Issue #173</a> - json_parse_int64 doesn't work correctly at illumos \ <a href="https://github.com/json-c/json-c/issues/174">Issue #174</a> - Adding JSON_C_TO_STRING_PRETTY_TAB flag \ <a href="https://github.com/json-c/json-c/issues/175">Issue #175</a> - make check fails 4 tests with overflows when built with ASAN \ <a href="https://github.com/json-c/json-c/issues/176">Issue #176</a> - Possible to delete an array element at a given idx ? \ <a href="https://github.com/json-c/json-c/issues/177">Issue #177</a> - Fix compiler warnings \ <a href="https://github.com/json-c/json-c/issues/178">Issue #178</a> - Unable to compile on CentOS5 \ <a href="https://github.com/json-c/json-c/issues/179">Issue #179</a> - Added array_list_del_idx and json_object_array_del_idx \ <a href="https://github.com/json-c/json-c/issues/180">Issue #180</a> - Enable silent build by default \ <a href="https://github.com/json-c/json-c/issues/181">Issue #181</a> - json_tokener_parse_ex accepts invalid JSON \ <a href="https://github.com/json-c/json-c/issues/182">Issue #182</a> - Link against libm when needed \ <a href="https://github.com/json-c/json-c/issues/183">Issue #183</a> - Apply compile warning fix to master branch \ <a href="https://github.com/json-c/json-c/issues/184">Issue #184</a> - Use only GCC-specific flags when compiling with GCC \ <a href="https://github.com/json-c/json-c/issues/185">Issue #185</a> - compile error \ <a href="https://github.com/json-c/json-c/issues/186">Issue #186</a> - Syntax error \ <a href="https://github.com/json-c/json-c/issues/187">Issue #187</a> - array_list_get_idx and negative indexes. \ <a href="https://github.com/json-c/json-c/issues/188">Issue #188</a> - json_object_object_foreach warnings \ <a href="https://github.com/json-c/json-c/issues/189">Issue #189</a> - noisy json_object_from_file: error opening file \ <a href="https://github.com/json-c/json-c/issues/190">Issue #190</a> - warning: initialization discards const qualifier from pointer target type [enabled by default] \ <a href="https://github.com/json-c/json-c/issues/192">Issue #192</a> - json_tokener_parse accepts invalid JSON {"key": "value" , } \ <a href="https://github.com/json-c/json-c/issues/193">Issue #193</a> - Make serialization format of doubles configurable \ <a href="https://github.com/json-c/json-c/issues/194">Issue #194</a> - Add utility function for comparing json_objects \ <a href="https://github.com/json-c/json-c/issues/195">Issue #195</a> - Call uselocale instead of setlocale \ <a href="https://github.com/json-c/json-c/issues/196">Issue #196</a> - Performance improvements \ <a href="https://github.com/json-c/json-c/issues/197">Issue #197</a> - Time for a new release? \ <a href="https://github.com/json-c/json-c/issues/198">Issue #198</a> - Fix possible memory leak and remove superfluous NULL checks before free() \ <a href="https://github.com/json-c/json-c/issues/199">Issue #199</a> - Fix build in Visual Studio \ <a href="https://github.com/json-c/json-c/issues/200">Issue #200</a> - Add build scripts for CI platforms \ <a href="https://github.com/json-c/json-c/issues/201">Issue #201</a> - disable forward-slash escaping? \ <a href="https://github.com/json-c/json-c/issues/202">Issue #202</a> - Array with objects support \ <a href="https://github.com/json-c/json-c/issues/203">Issue #203</a> - Add source position/coordinates to API \ <a href="https://github.com/json-c/json-c/issues/204">Issue #204</a> - json-c/json.h not found \ <a href="https://github.com/json-c/json-c/issues/205">Issue #205</a> - json-c Compiled with Visual Studios \ <a href="https://github.com/json-c/json-c/issues/206">Issue #206</a> - what do i use in place of json_object_object_get? \ <a href="https://github.com/json-c/json-c/issues/207">Issue #207</a> - Add support for property pairs directly added to arrays \ <a href="https://github.com/json-c/json-c/issues/208">Issue #208</a> - Performance enhancements (mainly) to <a class="el" href="json__object_8h.html#ab7390c22baa1700d977c2af6b22d43a4">json_object_to_json_string()</a> \ <a href="https://github.com/json-c/json-c/issues/209">Issue #209</a> - fix regression from 2d549662be832da838aa063da2efa78ee3b99668 \ <a href="https://github.com/json-c/json-c/issues/210">Issue #210</a> - Use size_t for arrays \ <a href="https://github.com/json-c/json-c/issues/211">Issue #211</a> - Atomic updates for the refcount \ <a href="https://github.com/json-c/json-c/issues/212">Issue #212</a> - Refcount doesn't work between threads \ <a href="https://github.com/json-c/json-c/issues/213">Issue #213</a> - fix to compile with microsoft visual c++ 2010 \ <a href="https://github.com/json-c/json-c/issues/214">Issue #214</a> - Some non-GNU systems support __sync_val_compare_and_swap \ <a href="https://github.com/json-c/json-c/issues/215">Issue #215</a> - Build json-c for window 64 bit. \ <a href="https://github.com/json-c/json-c/issues/216">Issue #216</a> - configure: check realloc with AC_CHECK_FUNCS() to fix cross-compilation. \ <a href="https://github.com/json-c/json-c/issues/217">Issue #217</a> - Checking for functions in float.h \ <a href="https://github.com/json-c/json-c/issues/218">Issue #218</a> - Use a macro to indicate C99 to the compiler \ <a href="https://github.com/json-c/json-c/issues/219">Issue #219</a> - Fix various potential null ptr deref and int32 overflows \ <a href="https://github.com/json-c/json-c/issues/220">Issue #220</a> - Add utility function for comparing json_objects \ <a href="https://github.com/json-c/json-c/issues/221">Issue #221</a> - JSON_C_TO_STRING_NOSLASHESCAPE works incorrectly \ <a href="https://github.com/json-c/json-c/issues/222">Issue #222</a> - Fix issue #221: JSON_C_TO_STRING_NOSLASHESCAPE works incorrectly \ <a href="https://github.com/json-c/json-c/issues/223">Issue #223</a> - Clarify json_object_get_string documentation of NULL handling &amp; return \ <a href="https://github.com/json-c/json-c/issues/224">Issue #224</a> - json_tokener.c - all warnings being treated as errors \ <a href="https://github.com/json-c/json-c/issues/225">Issue #225</a> - Hi, will you support clib as a "registry"? \ <a href="https://github.com/json-c/json-c/issues/227">Issue #227</a> - Bump SOVERSION to 3 \ <a href="https://github.com/json-c/json-c/issues/228">Issue #228</a> - avoid double slashes from json \ <a href="https://github.com/json-c/json-c/issues/229">Issue #229</a> - configure fails: checking size of size_t... configure: error: cannot determine a size for size_t \ <a href="https://github.com/json-c/json-c/issues/230">Issue #230</a> - Use stdint.h to check for size_t size \ <a href="https://github.com/json-c/json-c/issues/231">Issue #231</a> - Fix size_t size check for first-time builds \ <a href="https://github.com/json-c/json-c/issues/232">Issue #232</a> - tests/tests1: fix printf format for size_t arguments \ <a href="https://github.com/json-c/json-c/issues/233">Issue #233</a> - Include stddef.h in <a class="el" href="json__object_8h.html" title="Core json-c API. Start here, or with json_tokener.h.">json_object.h</a> \ <a href="https://github.com/json-c/json-c/issues/234">Issue #234</a> - Add public API to use userdata independently of custom serializer \ <a href="https://github.com/json-c/json-c/issues/235">Issue #235</a> - Undefined symbols Error for architecture x86_64 on Mac \ <a href="https://github.com/json-c/json-c/issues/236">Issue #236</a> - Building a project which uses json-c with flag -Wcast-qual causes compilation errors \ <a href="https://github.com/json-c/json-c/issues/237">Issue #237</a> - handle escaped utf-8 \ <a href="https://github.com/json-c/json-c/issues/238">Issue #238</a> - linkhash.c: optimised the table_free path \ <a href="https://github.com/json-c/json-c/issues/239">Issue #239</a> - initialize null terminator of new printbuf \ <a href="https://github.com/json-c/json-c/issues/240">Issue #240</a> - Compile error: Variable set but not used \ <a href="https://github.com/json-c/json-c/issues/241">Issue #241</a> - getting error in date string 19\/07\/2016, fixed for error 19/07/2016 \ <a href="https://github.com/json-c/json-c/issues/242">Issue #242</a> - json_tokener_parse error \ <a href="https://github.com/json-c/json-c/issues/243">Issue #243</a> - Fix #165 \ <a href="https://github.com/json-c/json-c/issues/244">Issue #244</a> - Error while compiling source from RHEL5, could you please help me to fix this \ <a href="https://github.com/json-c/json-c/issues/245">Issue #245</a> - json-c compile in window xp \ <a href="https://github.com/json-c/json-c/issues/246">Issue #246</a> - Mac: uselocale failed to build \ <a href="https://github.com/json-c/json-c/issues/247">Issue #247</a> - json_object_array_del_idx function has segment fault error? \ <a href="https://github.com/json-c/json-c/issues/248">Issue #248</a> - Minor changes in C source code \ <a href="https://github.com/json-c/json-c/issues/249">Issue #249</a> - Improving README \ <a href="https://github.com/json-c/json-c/issues/250">Issue #250</a> - Improving .gitignore \ <a href="https://github.com/json-c/json-c/issues/251">Issue #251</a> - Adding a file for EditorConfig \ <a href="https://github.com/json-c/json-c/issues/252">Issue #252</a> - Very minor changes not related to C source code \ <a href="https://github.com/json-c/json-c/issues/253">Issue #253</a> - Adding a test with cppcheck for Travis CI \ <a href="https://github.com/json-c/json-c/issues/254">Issue #254</a> - Very minor changes to some tests \ <a href="https://github.com/json-c/json-c/issues/255">Issue #255</a> - Minor changes in C source code \ <a href="https://github.com/json-c/json-c/issues/256">Issue #256</a> - Mailing list dead? \ <a href="https://github.com/json-c/json-c/issues/257">Issue #257</a> - Defining a coding style \ <a href="https://github.com/json-c/json-c/issues/258">Issue #258</a> - Enable CI services \ <a href="https://github.com/json-c/json-c/issues/259">Issue #259</a> - Fails to parse valid json \ <a href="https://github.com/json-c/json-c/issues/260">Issue #260</a> - Adding an object to itself \ <a href="https://github.com/json-c/json-c/issues/261">Issue #261</a> - Lack of proper documentation \ <a href="https://github.com/json-c/json-c/issues/262">Issue #262</a> - Add Cmakefile and fix compiler warning. \ <a href="https://github.com/json-c/json-c/issues/263">Issue #263</a> - Compiler Warnings with VS2015 \ <a href="https://github.com/json-c/json-c/issues/264">Issue #264</a> - successed in simple test while failed in my project \ <a href="https://github.com/json-c/json-c/issues/265">Issue #265</a> - Conformance report for reference \ <a href="https://github.com/json-c/json-c/issues/266">Issue #266</a> - crash perhaps related to reference counting \ <a href="https://github.com/json-c/json-c/issues/267">Issue #267</a> - Removes me as Win32 maintainer, because I'm not. \ <a href="https://github.com/json-c/json-c/issues/268">Issue #268</a> - Documentation of json_object_to_json_string gives no information about memory management \ <a href="https://github.com/json-c/json-c/issues/269">Issue #269</a> - json_object_&lt;type&gt;_set(json_object *o,&lt;type&gt; value) API for value setting in json object private structure \ <a href="https://github.com/json-c/json-c/issues/270">Issue #270</a> - new API json_object_new_double_f(doubel d,const char * fmt); \ <a href="https://github.com/json-c/json-c/issues/271">Issue #271</a> - Cannot compile using CMake on macOS \ <a href="https://github.com/json-c/json-c/issues/273">Issue #273</a> - fixed wrong object name in json_object_all_values_equal \ <a href="https://github.com/json-c/json-c/issues/274">Issue #274</a> - Support for 64 bit pointers on Windows \ <a href="https://github.com/json-c/json-c/issues/275">Issue #275</a> - Out-of-bounds read in json_tokener_parse_ex \ <a href="https://github.com/json-c/json-c/issues/276">Issue #276</a> - ./configure for centos release 6.7(final) failure \ <a href="https://github.com/json-c/json-c/issues/277">Issue #277</a> - Json object set xxx \ <a href="https://github.com/json-c/json-c/issues/278">Issue #278</a> - Serialization of double with no fractional component drops trailing zero \ <a href="https://github.com/json-c/json-c/issues/279">Issue #279</a> - Segmentation fault in <a class="el" href="arraylist_8h.html#aa3bf90f47aa210032304b14e7ad09ef7">array_list_length()</a> \ <a href="https://github.com/json-c/json-c/issues/280">Issue #280</a> - Should json_object_array_get_idx check whether input obj is array? \ <a href="https://github.com/json-c/json-c/issues/281">Issue #281</a> - how to pretty print json-c? \ <a href="https://github.com/json-c/json-c/issues/282">Issue #282</a> - ignore temporary files \ <a href="https://github.com/json-c/json-c/issues/283">Issue #283</a> - json_pointer: add first revision based on RFC 6901 \ <a href="https://github.com/json-c/json-c/issues/284">Issue #284</a> - Resusing <a class="el" href="structjson__tokener.html">json_tokener</a> object \ <a href="https://github.com/json-c/json-c/issues/285">Issue #285</a> - Revert "compat/strdup.h: move common compat check for strdup() to own \
&lt;a href="<a href="https://github.com/json-c/json-c/issues/286">https://github.com/json-c/json-c/issues/286</a>"&gt;Issue #286&lt;/a&gt; - json_tokener_parse_ex() returns json_tokener_continue on zero-length string \
&lt;a href="<a href="https://github.com/json-c/json-c/issues/287">https://github.com/json-c/json-c/issues/287</a>"&gt;Issue #287&lt;/a&gt; - json_pointer: extend setter &amp; getter with printf() style arguments \
&lt;a href="<a href="https://github.com/json-c/json-c/issues/288">https://github.com/json-c/json-c/issues/288</a>"&gt;Issue #288&lt;/a&gt; - Fix _GNU_SOURCE define for vasprintf \
&lt;a href="<a href="https://github.com/json-c/json-c/issues/289">https://github.com/json-c/json-c/issues/289</a>"&gt;Issue #289&lt;/a&gt; - bugfix: floating point representaion without fractional part \
&lt;a href="<a href="https://github.com/json-c/json-c/issues/290">https://github.com/json-c/json-c/issues/290</a>"&gt;Issue #290&lt;/a&gt; - duplicate an json_object \
&lt;a href="<a href="https://github.com/json-c/json-c/issues/291">https://github.com/json-c/json-c/issues/291</a>"&gt;Issue #291&lt;/a&gt; - isspace assert error \
&lt;a href="<a href="https://github.com/json-c/json-c/issues/292">https://github.com/json-c/json-c/issues/292</a>"&gt;Issue #292&lt;/a&gt; - configure error  "./configure: line 13121: syntax error near unexpected token `-Wall'" \
&lt;a href="<a href="https://github.com/json-c/json-c/issues/293">https://github.com/json-c/json-c/issues/293</a>"&gt;Issue #293&lt;/a&gt; - how to make with bitcode for ios \
&lt;a href="<a href="https://github.com/json-c/json-c/issues/294">https://github.com/json-c/json-c/issues/294</a>"&gt;Issue #294&lt;/a&gt; - Adding UTF-8 validation.  Fixes #122 \
&lt;a href="<a href="https://github.com/json-c/json-c/issues/295">https://github.com/json-c/json-c/issues/295</a>"&gt;Issue #295&lt;/a&gt; - cross compile w/ mingw \
&lt;a href="<a href="https://github.com/json-c/json-c/issues/296">https://github.com/json-c/json-c/issues/296</a>"&gt;Issue #296&lt;/a&gt; - Missing functions header in json_object.h \
&lt;a href="<a href="https://github.com/json-c/json-c/issues/297">https://github.com/json-c/json-c/issues/297</a>"&gt;Issue #297&lt;/a&gt; - could not parse string to Json object? Like string str=\"helloworld;E\test\log\;end" \ <a href="https://github.com/json-c/json-c/issues/298">Issue #298</a> - Building using CMake doesn't work \ <a href="https://github.com/json-c/json-c/issues/299">Issue #299</a> - Improve <a class="el" href="structjson__object.html">json_object</a> -&gt; string performance \ <a href="https://github.com/json-c/json-c/issues/300">Issue #300</a> - Running tests with MinGW build \ <a href="https://github.com/json-c/json-c/issues/301">Issue #301</a> - How to deep copy <a class="el" href="structjson__object.html">json_object</a> in C++ ? \ <a href="https://github.com/json-c/json-c/issues/302">Issue #302</a> - json_tokener_parse_ex doesn't parse JSON values \ <a href="https://github.com/json-c/json-c/issues/303">Issue #303</a> - fix doc in tokener header file \ <a href="https://github.com/json-c/json-c/issues/304">Issue #304</a> - (.text+0x72846): undefined reference to `is_error' \ <a href="https://github.com/json-c/json-c/issues/305">Issue #305</a> - Fix compilation without C-99 option \ <a href="https://github.com/json-c/json-c/issues/306">Issue #306</a> - ./configure: line 12748 -error=deprecated-declarations \ <a href="https://github.com/json-c/json-c/issues/307">Issue #307</a> - Memory leak in json_tokener_parse \ <a href="https://github.com/json-c/json-c/issues/308">Issue #308</a> - AM_PROG_LIBTOOL not found on Linux \ <a href="https://github.com/json-c/json-c/issues/309">Issue #309</a> - GCC 7 reports various -Wimplicit-fallthrough= errors \ <a href="https://github.com/json-c/json-c/issues/310">Issue #310</a> - Add FALLTHRU comment to handle GCC7 warnings. \ <a href="https://github.com/json-c/json-c/issues/311">Issue #311</a> - Fix error C3688 when compiling on Visual Studio 2015 \ <a href="https://github.com/json-c/json-c/issues/312">Issue #312</a> - Fix CMake Build process improved for MinGW and MSYS2 \ <a href="https://github.com/json-c/json-c/issues/313">Issue #313</a> - VERBOSE=1 make check; tests/test_util_file.test.c and tests/test_util_file.expected out of sync \ <a href="https://github.com/json-c/json-c/issues/315">Issue #315</a> - Passing -1 to json_tokener_parse_ex is possibly unsafe \ <a href="https://github.com/json-c/json-c/issues/316">Issue #316</a> - Memory Returned by json_object_to_json_string not freed \ <a href="https://github.com/json-c/json-c/issues/317">Issue #317</a> - json_object_get_string gives segmentation error \ <a href="https://github.com/json-c/json-c/issues/318">Issue #318</a> - PVS-Studio static analyzer analyze results \ <a href="https://github.com/json-c/json-c/issues/319">Issue #319</a> - Windows: Fix dynamic library build with Visual Studio \ <a href="https://github.com/json-c/json-c/issues/320">Issue #320</a> - Can't compile in Mac OS X El Capitan \ <a href="https://github.com/json-c/json-c/issues/321">Issue #321</a> - build,cmake: fix vasprintf implicit definition and generate both static &amp; shared libs \ <a href="https://github.com/json-c/json-c/issues/322">Issue #322</a> - can not link with libjson-c.a \ <a href="https://github.com/json-c/json-c/issues/323">Issue #323</a> - implicit fallthrough detected by gcc 7.1 \ <a href="https://github.com/json-c/json-c/issues/324">Issue #324</a> - JsonPath like function? \ <a href="https://github.com/json-c/json-c/issues/325">Issue #325</a> - Fix stack buffer overflow in json_object_double_to_json_string_format() \ <a href="https://github.com/json-c/json-c/issues/327">Issue #327</a> - why json-c so hard to compile \ <a href="https://github.com/json-c/json-c/issues/328">Issue #328</a> - <a class="el" href="structjson__object.html">json_object</a>: implement <a class="el" href="json__object_8h.html#aaac16505f13bc56accfad82604d8bcdc">json_object_deep_copy()</a> function \ <a href="https://github.com/json-c/json-c/issues/329">Issue #329</a> - build,cmake: build,cmake: rename libjson-c-static.a to libjson-c.a \ <a href="https://github.com/json-c/json-c/issues/330">Issue #330</a> - tests: symlink basic tests to a single file that has the common code \ <a href="https://github.com/json-c/json-c/issues/331">Issue #331</a> - Safe use of snprintf() / vsnprintf() for Visual studio, and thread-safety fix \ <a href="https://github.com/json-c/json-c/issues/332">Issue #332</a> - Valgrind: invalid read after json_object_array_del_idx. \ <a href="https://github.com/json-c/json-c/issues/333">Issue #333</a> - Replace obsolete AM_PROG_LIBTOOL \ <a href="https://github.com/json-c/json-c/issues/335">Issue #335</a> - <a class="el" href="README_8md.html">README.md</a>: show build status tag from travis-ci.org \ <a href="https://github.com/json-c/json-c/issues/336">Issue #336</a> - tests: fix tests in travis-ci.org \ <a href="https://github.com/json-c/json-c/issues/337">Issue #337</a> - Synchronize "potentially racy" random seed in lh_char_hash() \ <a href="https://github.com/json-c/json-c/issues/338">Issue #338</a> - implement <a class="el" href="json__object_8h.html#a25691322b2d1ab24a3797e5752eb659f">json_object_int_inc(json_object *, int64_t)</a> \ <a href="https://github.com/json-c/json-c/issues/339">Issue #339</a> - Json schema validation \ <a href="https://github.com/json-c/json-c/issues/340">Issue #340</a> - strerror_override: add extern "C" and JSON_EXPORT specifiers for Visual C++ compilers \ <a href="https://github.com/json-c/json-c/issues/341">Issue #341</a> - character "/" parse as "\/" \ <a href="https://github.com/json-c/json-c/issues/342">Issue #342</a> - No such file or directory "/usr/include/json.h" \ <a href="https://github.com/json-c/json-c/issues/343">Issue #343</a> - Can't parse json \ <a href="https://github.com/json-c/json-c/issues/344">Issue #344</a> - Fix Mingw build \ <a href="https://github.com/json-c/json-c/issues/345">Issue #345</a> - Fix make dist and make distcheck \ <a href="https://github.com/json-c/json-c/issues/346">Issue #346</a> - Clamp double to int32 when narrowing in json_object_get_int. \ <a href="https://github.com/json-c/json-c/issues/347">Issue #347</a> - MSVC linker error json_c_strerror \ <a href="https://github.com/json-c/json-c/issues/348">Issue #348</a> - why \ <a href="https://github.com/json-c/json-c/issues/349">Issue #349</a> - <code>missing</code> is missing? \ <a href="https://github.com/json-c/json-c/issues/350">Issue #350</a> - stderror-override and disable-shared \ <a href="https://github.com/json-c/json-c/issues/351">Issue #351</a> - SIZE_T_MAX redefined from limits.h \ <a href="https://github.com/json-c/json-c/issues/352">Issue #352</a> - <code>INSTALL</code> overrides an automake script. \ <a href="https://github.com/json-c/json-c/issues/353">Issue #353</a> - Documentation issues \ <a href="https://github.com/json-c/json-c/issues/354">Issue #354</a> - Fixes #351 #352 #353 \ <a href="https://github.com/json-c/json-c/issues/355">Issue #355</a> - 1.make it can been compiled with Visual Studio 2010 by modify the CMakeList.txt and others \ <a href="https://github.com/json-c/json-c/issues/356">Issue #356</a> - VS2008 test test_util_file.cpp err! \ <a href="https://github.com/json-c/json-c/issues/357">Issue #357</a> - __json_c_strerror incompatibility with link-time optimization \ <a href="https://github.com/json-c/json-c/issues/358">Issue #358</a> - make issue \ <a href="https://github.com/json-c/json-c/issues/359">Issue #359</a> - update CMakeLists.txt for compile with visual studio at least 2010 \ <a href="https://github.com/json-c/json-c/issues/360">Issue #360</a> - Use strtoll() to parse ints \ <a href="https://github.com/json-c/json-c/issues/361">Issue #361</a> - Fix double to int cast overflow in json_object_get_int64. \ <a href="https://github.com/json-c/json-c/issues/362">Issue #362</a> - CMake Package Config \ <a href="https://github.com/json-c/json-c/issues/363">Issue #363</a> - Issue #338, add json_object_add_int functions \ <a href="https://github.com/json-c/json-c/issues/364">Issue #364</a> - Cmake is Errir \ <a href="https://github.com/json-c/json-c/issues/365">Issue #365</a> - added fallthrough for gcc7 \ <a href="https://github.com/json-c/json-c/issues/366">Issue #366</a> - how to check the json string,crash! \ <a href="https://github.com/json-c/json-c/issues/367">Issue #367</a> - Is json-c support "redirect" semantic? \ <a href="https://github.com/json-c/json-c/issues/368">Issue #368</a> - Add examples \ <a href="https://github.com/json-c/json-c/issues/369">Issue #369</a> - How to build json-c library for android? \ <a href="https://github.com/json-c/json-c/issues/370">Issue #370</a> - Compiling using clang-cl \ <a href="https://github.com/json-c/json-c/issues/371">Issue #371</a> - Invalid parsing for Infinity with json-c 0.12 \ <a href="https://github.com/json-c/json-c/issues/372">Issue #372</a> - Json-c 0.12: Fixed Infinity bug \ <a href="https://github.com/json-c/json-c/issues/373">Issue #373</a> - build: fix build on appveyor CI \ <a href="https://github.com/json-c/json-c/issues/374">Issue #374</a> - Undefined symbols for architecture x86_64: \ <a href="https://github.com/json-c/json-c/issues/375">Issue #375</a> - what would happened when json_object_object_add add the same key \ <a href="https://github.com/json-c/json-c/issues/376">Issue #376</a> - Eclipse error \ <a href="https://github.com/json-c/json-c/issues/377">Issue #377</a> - on gcc 7.2.0 on my linux distribution with json-c 2013-04-02 source \ <a href="https://github.com/json-c/json-c/issues/378">Issue #378</a> - Eclipse: library (libjson-c) not found, but configured \ <a href="https://github.com/json-c/json-c/issues/379">Issue #379</a> - error: this statement may fall through [-Werror=implicit-fallthrough=] \ <a href="https://github.com/json-c/json-c/issues/380">Issue #380</a> - Build on Windows \ <a href="https://github.com/json-c/json-c/issues/381">Issue #381</a> - Fix makedist \ <a href="https://github.com/json-c/json-c/issues/382">Issue #382</a> - Memory leak for json_tokener_parse_ex for version 0.12.1 \ <a href="https://github.com/json-c/json-c/issues/383">Issue #383</a> - Fix a compiler warning. \ <a href="https://github.com/json-c/json-c/issues/384">Issue #384</a> - Fix a VS 2015 compiler warnings. \</p>
<p>This list was created with:</p>
<p>``` curl <a href="https://api.github.com/search/issues?q=">https://api.github.com/search/issues?q=</a>"repo%3Ajson-c%2Fjson-c+closed%3A&gt;2017-12-07+created%3A&lt;2020-04-17&amp;sort=created&amp;order=asc&amp;per_page=400&amp;page=1" &gt; issues1.out curl <a href="https://api.github.com/search/issues?q=">https://api.github.com/search/issues?q=</a>"repo%3Ajson-c%2Fjson-c+closed%3A&gt;2017-12-07+created%3A&lt;2020-04-17&amp;sort=created&amp;order=asc&amp;per_page=400&amp;page=2" &gt; issues2.out curl <a href="https://api.github.com/search/issues?q=">https://api.github.com/search/issues?q=</a>"repo%3Ajson-c%2Fjson-c+closed%3A&gt;2017-12-07+created%3A&lt;2020-04-17&amp;sort=created&amp;order=asc&amp;per_page=400&amp;page=3" &gt; issues3.out jq -r '.items[] | "[" + .title + "](" + .url + ")" | tostring' issues?.out &gt; issues.md sed -e's,^[ *(.*)](<a href="https://api.github.com/">https://api.github.com/</a>.*/([0-9].*)),<a href="https://github.com/json-c/json-c/issues/\2">Issue #\2</a> - \1,' -i issues.md #... manual editing ... ``` <hr/>
<p>Issues and Pull Requests closed for the 0.14 release (since commit d582d3a(2017-12-07) to a911439(2020-04-17))</p>
<p><a href="https://github.com/json-c/json-c/issues/122">Issue #122</a> - Add utf-8 validation when parsing strings. \ <a href="https://github.com/json-c/json-c/issues/139">Issue #139</a> - json_object_from_file cannot accept max_depth \ <a href="https://github.com/json-c/json-c/issues/143">Issue #143</a> - RFE / enhancement for full 64-bit signed/unsigned support \ <a href="https://github.com/json-c/json-c/issues/147">Issue #147</a> - Please introduce soname bump if API changed \ <a href="https://github.com/json-c/json-c/issues/166">Issue #166</a> - Need a way to specify nesting depth when opening JSON file \ <a href="https://github.com/json-c/json-c/issues/226">Issue #226</a> - There is no <a class="el" href="json__object_8h.html#a29e23b5be729c679960242b3b81bcde0">json_object_new_null()</a> \ <a href="https://github.com/json-c/json-c/issues/314">Issue #314</a> - new release ? \ <a href="https://github.com/json-c/json-c/issues/326">Issue #326</a> - Please extend api json_object_get_uint64 \ <a href="https://github.com/json-c/json-c/issues/334">Issue #334</a> - Switch json-c builds to use CMake \ <a href="https://github.com/json-c/json-c/issues/386">Issue #386</a> - Makefile: Add ACLOCAL_AMFLAGS \ <a href="https://github.com/json-c/json-c/issues/387">Issue #387</a> - doc: Use other doxygen feature to specify mainpage \ <a href="https://github.com/json-c/json-c/issues/388">Issue #388</a> - <a class="el" href="structjson__object.html">json_object</a>: Add size_t json_object_sizeof() \ <a href="https://github.com/json-c/json-c/issues/389">Issue #389</a> - <a class="el" href="structjson__object.html">json_object</a>: Avoid double free (and thus a segfault) when ref_count gets &lt; 0 \ <a href="https://github.com/json-c/json-c/issues/390">Issue #390</a> - <a class="el" href="structjson__object.html">json_object</a>: Add const size_t json_c_object_sizeof() \ <a href="https://github.com/json-c/json-c/issues/391">Issue #391</a> - Fix non-GNUC define for JSON_C_CONST_FUNCTION \ <a href="https://github.com/json-c/json-c/issues/392">Issue #392</a> - <a class="el" href="structjson__object.html">json_object</a>: Avoid invalid free (and thus a segfault) when ref_count gets &lt; 0 \ <a href="https://github.com/json-c/json-c/issues/393">Issue #393</a> - json_object_private: Use unsigned 32-bit integer type for refcount \ <a href="https://github.com/json-c/json-c/issues/394">Issue #394</a> - Problem serializing double \ <a href="https://github.com/json-c/json-c/issues/395">Issue #395</a> - Key gets modified if it contains "\" \ <a href="https://github.com/json-c/json-c/issues/396">Issue #396</a> - Build failure with no threads uClibc toolchain \ <a href="https://github.com/json-c/json-c/issues/397">Issue #397</a> - update json object with key. \ <a href="https://github.com/json-c/json-c/issues/398">Issue #398</a> - Build failed. \ <a href="https://github.com/json-c/json-c/issues/399">Issue #399</a> - Avoid uninitialized variable warnings \ <a href="https://github.com/json-c/json-c/issues/400">Issue #400</a> - How to generate static lib (.a) \ <a href="https://github.com/json-c/json-c/issues/401">Issue #401</a> - Warnings with Valgrind \ <a href="https://github.com/json-c/json-c/issues/402">Issue #402</a> - Add fuzzers from OSS-Fuzz \ <a href="https://github.com/json-c/json-c/issues/403">Issue #403</a> - Segmentation fault when double quotes is used \ <a href="https://github.com/json-c/json-c/issues/404">Issue #404</a> - valgrind: memory leak \ <a href="https://github.com/json-c/json-c/issues/405">Issue #405</a> - Missing API to determine an object is empty \ <a href="https://github.com/json-c/json-c/issues/406">Issue #406</a> - Undefine NDEBUG for tests \ <a href="https://github.com/json-c/json-c/issues/407">Issue #407</a> - json_tokener_parse is crash \ <a href="https://github.com/json-c/json-c/issues/408">Issue #408</a> - bug in array_list_del_idx when <a class="el" href="arraylist_8h.html#aa3bf90f47aa210032304b14e7ad09ef7">array_list_length()</a>==1 \ <a href="https://github.com/json-c/json-c/issues/410">Issue #410</a> - Fixed typos \ <a href="https://github.com/json-c/json-c/issues/411">Issue #411</a> - Crash- signal SIGSEGV, Segmentation fault. ../sysdeps/x86_64/strlen.S: No such file or directory. \ <a href="https://github.com/json-c/json-c/issues/412">Issue #412</a> - json_type changes during inter process communication. \ <a href="https://github.com/json-c/json-c/issues/413">Issue #413</a> - how to read object of type <code><a class="el" href="structjson__object.html">json_object</a> *</code> in c++ \ <a href="https://github.com/json-c/json-c/issues/414">Issue #414</a> - [Question] How JSON-c stores the serialized data in memory? \ <a href="https://github.com/json-c/json-c/issues/415">Issue #415</a> - Resolve windows name conflict \ <a href="https://github.com/json-c/json-c/issues/416">Issue #416</a> - segmentation fault in json_tokener_parse \ <a href="https://github.com/json-c/json-c/issues/417">Issue #417</a> - json_tokener_parse json_object_object_get_ex with string value which is json string \ <a href="https://github.com/json-c/json-c/issues/418">Issue #418</a> - json_object_from_* return value documented incorrectly \ <a href="https://github.com/json-c/json-c/issues/419">Issue #419</a> - Suggestion: document (and define) that <a class="el" href="json__object_8h.html#afabf61f932cd64a4122ca8092452eed5">json_object_put()</a> accepts NULL pointer to object \ <a href="https://github.com/json-c/json-c/issues/420">Issue #420</a> - arraylist: Fixed names of parameters for callback function \ <a href="https://github.com/json-c/json-c/issues/421">Issue #421</a> - install <a class="el" href="json__object__iterator_8h.html" title="An API for iterating over json_type_object objects, styled to be familiar to C++ programmers. Unlike json_object_object_foreach() and json_object_object_foreachC(), this avoids the need to expose json-c internals like lh_entry.">json_object_iterator.h</a> header file \ <a href="https://github.com/json-c/json-c/issues/422">Issue #422</a> - <a class="el" href="json__object_8h.html#a94a70cff6a14398b581b7b10b0792c5b">json_object_get_double()</a> does not set errno when there is no valid conversion \ <a href="https://github.com/json-c/json-c/issues/423">Issue #423</a> - memory leak \ <a href="https://github.com/json-c/json-c/issues/424">Issue #424</a> - Parse string contains "\" or "/" errors \ <a href="https://github.com/json-c/json-c/issues/425">Issue #425</a> - what this is? \ <a href="https://github.com/json-c/json-c/issues/426">Issue #426</a> - __deprecated not supported on clang. \ <a href="https://github.com/json-c/json-c/issues/427">Issue #427</a> - CMake: builds involving this target will not be correct \ <a href="https://github.com/json-c/json-c/issues/430">Issue #430</a> - <a class="el" href="json__object_8h.html#ac6605fdafca20bd5d33c84f4f80a3bda">json_object_object_del()</a> and Segmentation fault \ <a href="https://github.com/json-c/json-c/issues/431">Issue #431</a> - cmake: Bump required version \ <a href="https://github.com/json-c/json-c/issues/432">Issue #432</a> - The real CMake support. \ <a href="https://github.com/json-c/json-c/issues/433">Issue #433</a> - The real CMake support. \ <a href="https://github.com/json-c/json-c/issues/434">Issue #434</a> - The real CMake support \ <a href="https://github.com/json-c/json-c/issues/435">Issue #435</a> - <a class="el" href="json__object_8h.html#ac6605fdafca20bd5d33c84f4f80a3bda">json_object_object_del()</a> segmentation fault \ <a href="https://github.com/json-c/json-c/issues/436">Issue #436</a> - Improve pkgconfig setting \ <a href="https://github.com/json-c/json-c/issues/437">Issue #437</a> - Bad link in <a class="el" href="README_8md.html">README.md</a> \ <a href="https://github.com/json-c/json-c/issues/438">Issue #438</a> - Bad link in README.html \ <a href="https://github.com/json-c/json-c/issues/439">Issue #439</a> - reserved identifier violation \ <a href="https://github.com/json-c/json-c/issues/440">Issue #440</a> - Use of angle brackets around file names for include statements \ <a href="https://github.com/json-c/json-c/issues/441">Issue #441</a> - fix c flag loss during cmake building \ <a href="https://github.com/json-c/json-c/issues/442">Issue #442</a> - error in configure file \ <a href="https://github.com/json-c/json-c/issues/443">Issue #443</a> - remove pretty spaces when using pretty tabs \ <a href="https://github.com/json-c/json-c/issues/444">Issue #444</a> - Document refcount of json_tokener_parse_ex return \ <a href="https://github.com/json-c/json-c/issues/445">Issue #445</a> - Add missing "make check" target to cmake config \ <a href="https://github.com/json-c/json-c/issues/446">Issue #446</a> - Forward slashes get escaped \ <a href="https://github.com/json-c/json-c/issues/448">Issue #448</a> - Buffer overflow in json-c \ <a href="https://github.com/json-c/json-c/issues/449">Issue #449</a> - Need of json_type_int64 returned by <a class="el" href="json__object_8h.html#af256a3a7910e271a2b9735e5044c3827">json_object_get_type()</a> \ <a href="https://github.com/json-c/json-c/issues/450">Issue #450</a> - Allow use json-c cmake as subproject \ <a href="https://github.com/json-c/json-c/issues/452">Issue #452</a> - Update <a class="el" href="README_8md.html">README.md</a> \ <a href="https://github.com/json-c/json-c/issues/453">Issue #453</a> - Fixed misalignment in JSON string due to space after <br/>
 being printed... \ <a href="https://github.com/json-c/json-c/issues/454">Issue #454</a> - json_object_private: save 8 bytes in struct <a class="el" href="structjson__object.html">json_object</a> in 64-bit arc… \ <a href="https://github.com/json-c/json-c/issues/455">Issue #455</a> - index.html:fix dead link \ <a href="https://github.com/json-c/json-c/issues/456">Issue #456</a> - STYLE.txt:remove executable permissions \ <a href="https://github.com/json-c/json-c/issues/457">Issue #457</a> - .gitignore:add build directory \ <a href="https://github.com/json-c/json-c/issues/458">Issue #458</a> - <a class="el" href="README_8md.html">README.md</a>:fix dead "file.html" link \ <a href="https://github.com/json-c/json-c/issues/459">Issue #459</a> - README.html:fix link to Doxygen docs, remove WIN32 link \ <a href="https://github.com/json-c/json-c/issues/460">Issue #460</a> - No docs for <a class="el" href="json__object_8h.html#a778a1aa34a508d08daac3bdb83e24b52">json_object_new_string_len()</a> \ <a href="https://github.com/json-c/json-c/issues/461">Issue #461</a> - json_object.c:set errno in <a class="el" href="json__object_8h.html#a94a70cff6a14398b581b7b10b0792c5b">json_object_get_double()</a> \ <a href="https://github.com/json-c/json-c/issues/462">Issue #462</a> - <a class="el" href="json__object_8h.html" title="Core json-c API. Start here, or with json_tokener.h.">json_object.h</a>:document <a class="el" href="json__object_8h.html#a778a1aa34a508d08daac3bdb83e24b52">json_object_new_string_len()</a> \ <a href="https://github.com/json-c/json-c/issues/463">Issue #463</a> - please check newlocale api first argument valuse. \ <a href="https://github.com/json-c/json-c/issues/465">Issue #465</a> - CMakeLists.txt doesn't contain <a class="el" href="json__object__iterator_8h.html" title="An API for iterating over json_type_object objects, styled to be familiar to C++ programmers. Unlike json_object_object_foreach() and json_object_object_foreachC(), this avoids the need to expose json-c internals like lh_entry.">json_object_iterator.h</a> which <a class="el" href="json_8h.html" title="A convenience header that may be included instead of other individual ones.">json.h</a> includes \ <a href="https://github.com/json-c/json-c/issues/466">Issue #466</a> - configure:3610: error: C compiler cannot create executables \ <a href="https://github.com/json-c/json-c/issues/467">Issue #467</a> - Fix compiler warnings \ <a href="https://github.com/json-c/json-c/issues/468">Issue #468</a> - Fix compiler warnings \ <a href="https://github.com/json-c/json-c/issues/469">Issue #469</a> - Build under alpine with pecl install &amp; docker-php-ext-enable? \ <a href="https://github.com/json-c/json-c/issues/470">Issue #470</a> - cfuhash_foreach_remove doesn't upate cfuhash_num_entries \ <a href="https://github.com/json-c/json-c/issues/472">Issue #472</a> - Segmentation fault in json_object_iter_begin \ <a href="https://github.com/json-c/json-c/issues/473">Issue #473</a> - Convert ChangeLog to valid UTF-8 encoding. \ <a href="https://github.com/json-c/json-c/issues/474">Issue #474</a> - Installation directories empty with CMake in pkg-config. \ <a href="https://github.com/json-c/json-c/issues/475">Issue #475</a> - improvement proposal for json_object_object_foreach \ <a href="https://github.com/json-c/json-c/issues/477">Issue #477</a> - Hang/Crash with large strings \ <a href="https://github.com/json-c/json-c/issues/478">Issue #478</a> - json_object_get_string_len returns 0 when value is number \ <a href="https://github.com/json-c/json-c/issues/479">Issue #479</a> - I want to use it in iOS or Android but I can't compile \ <a href="https://github.com/json-c/json-c/issues/480">Issue #480</a> - json-c-0.12.1 failed making from source code \ <a href="https://github.com/json-c/json-c/issues/481">Issue #481</a> - error while loading shared libraries: libjson-c.so.4 \ <a href="https://github.com/json-c/json-c/issues/482">Issue #482</a> - Error "double free or corruption" after free() \ <a href="https://github.com/json-c/json-c/issues/483">Issue #483</a> - compatible with rarely-used Chinese characters in GBK charset \ <a href="https://github.com/json-c/json-c/issues/485">Issue #485</a> - Install CMake module files \ <a href="https://github.com/json-c/json-c/issues/486">Issue #486</a> - In the case of negative double value, it is formatted without including ".0" \ <a href="https://github.com/json-c/json-c/issues/488">Issue #488</a> - Some APIs are not exported when built as shared lib on Win32 \ <a href="https://github.com/json-c/json-c/issues/489">Issue #489</a> - Don't use -Werror by default \ <a href="https://github.com/json-c/json-c/issues/490">Issue #490</a> - do not compile with -Werror by default \ <a href="https://github.com/json-c/json-c/issues/491">Issue #491</a> - build: add option &ndash;disable-werror to configure \ <a href="https://github.com/json-c/json-c/issues/492">Issue #492</a> - lack some quick usage in readme \ <a href="https://github.com/json-c/json-c/issues/494">Issue #494</a> - Code generator? \ <a href="https://github.com/json-c/json-c/issues/495">Issue #495</a> - <a class="el" href="README_8md.html">README.md</a>:fix 2 typos \ <a href="https://github.com/json-c/json-c/issues/496">Issue #496</a> - <a class="el" href="json__pointer_8h.html" title="JSON Pointer (RFC 6901) implementation for retrieving objects from a json-c object tree...">json_pointer.h</a>:suggest minor grammar improvement for pointer doc \ <a href="https://github.com/json-c/json-c/issues/497">Issue #497</a> - add common header for all tests \ <a href="https://github.com/json-c/json-c/issues/498">Issue #498</a> - double_serializer_test fails (with valgrind) \ <a href="https://github.com/json-c/json-c/issues/499">Issue #499</a> - .travis.yml:test on more recent clang and gcc versions \ <a href="https://github.com/json-c/json-c/issues/500">Issue #500</a> - test/Makefile.am:add missing deps for test1 and test2 \ <a href="https://github.com/json-c/json-c/issues/501">Issue #501</a> - undefine NDEBUG for tests \ <a href="https://github.com/json-c/json-c/issues/502">Issue #502</a> - configure error \ <a href="https://github.com/json-c/json-c/issues/503">Issue #503</a> - json-c retuns OK when Invalid json string is passed \ <a href="https://github.com/json-c/json-c/issues/504">Issue #504</a> - json_object_put coredump \ <a href="https://github.com/json-c/json-c/issues/505">Issue #505</a> - Add vcpkg installation instructions \ <a href="https://github.com/json-c/json-c/issues/506">Issue #506</a> - Cannot parse more than one object \ <a href="https://github.com/json-c/json-c/issues/509">Issue #509</a> - Sometimes a double value is not serialized \ <a href="https://github.com/json-c/json-c/issues/510">Issue #510</a> - Bump so-name and improve CMake \ <a href="https://github.com/json-c/json-c/issues/511">Issue #511</a> - Reduce lines for better optimization \ <a href="https://github.com/json-c/json-c/issues/512">Issue #512</a> - Properly append to CMAKE_C_FLAGS string \ <a href="https://github.com/json-c/json-c/issues/513">Issue #513</a> - What does <code>userdata</code> means?And what is the case we can use it? \ <a href="https://github.com/json-c/json-c/issues/514">Issue #514</a> - Json c 0.13 \ <a href="https://github.com/json-c/json-c/issues/515">Issue #515</a> - Mies suomesta fixes segfaults and logic errors \ <a href="https://github.com/json-c/json-c/issues/516">Issue #516</a> - Lja slight mods \ <a href="https://github.com/json-c/json-c/issues/518">Issue #518</a> - Escape character "\\003\", get unexpected value \ <a href="https://github.com/json-c/json-c/issues/519">Issue #519</a> - Add test case obj token \ <a href="https://github.com/json-c/json-c/issues/520">Issue #520</a> - Adding type uint64 \ <a href="https://github.com/json-c/json-c/issues/521">Issue #521</a> - build cmake windows 10 \ <a href="https://github.com/json-c/json-c/issues/522">Issue #522</a> - update json_visit testcase \ <a href="https://github.com/json-c/json-c/issues/523">Issue #523</a> - update tsetcase for tokener_c \ <a href="https://github.com/json-c/json-c/issues/524">Issue #524</a> - Increase coverage \ <a href="https://github.com/json-c/json-c/issues/525">Issue #525</a> - update pointer test case \ <a href="https://github.com/json-c/json-c/issues/526">Issue #526</a> - Increased the test coverage of printbuf.c 82% to 92%. \ <a href="https://github.com/json-c/json-c/issues/527">Issue #527</a> - Arraylist testcase \ <a href="https://github.com/json-c/json-c/issues/528">Issue #528</a> - Solve issue #108. Skip  while parsing. \ <a href="https://github.com/json-c/json-c/issues/529">Issue #529</a> - Increased the test coverage of json_c_version.c 0% to 100%. \ <a href="https://github.com/json-c/json-c/issues/530">Issue #530</a> - validate utf-8 string before parse \ <a href="https://github.com/json-c/json-c/issues/531">Issue #531</a> - validate utf-8 string \ <a href="https://github.com/json-c/json-c/issues/532">Issue #532</a> - json_object_object_get_ex returning the original object \ <a href="https://github.com/json-c/json-c/issues/533">Issue #533</a> - Fix "make check" \ <a href="https://github.com/json-c/json-c/issues/535">Issue #535</a> - short string optimization: excessive array length \ <a href="https://github.com/json-c/json-c/issues/536">Issue #536</a> - add <a class="el" href="json__object_8h.html#a29e23b5be729c679960242b3b81bcde0">json_object_new_null()</a> \ <a href="https://github.com/json-c/json-c/issues/538">Issue #538</a> - update shortstring and arraylist parameters \ <a href="https://github.com/json-c/json-c/issues/539">Issue #539</a> - double serializes to the old value after set_double \ <a href="https://github.com/json-c/json-c/issues/541">Issue #541</a> - add coveralls auto tool to json-c \ <a href="https://github.com/json-c/json-c/issues/542">Issue #542</a> - add uint64 data to json-c \ <a href="https://github.com/json-c/json-c/issues/543">Issue #543</a> - Readme \ <a href="https://github.com/json-c/json-c/issues/544">Issue #544</a> - Increase distcheck target in cmake \ <a href="https://github.com/json-c/json-c/issues/545">Issue #545</a> - add doc target in cmake \ <a href="https://github.com/json-c/json-c/issues/546">Issue #546</a> - Add uninstall target in cmake \ <a href="https://github.com/json-c/json-c/issues/547">Issue #547</a> - modify json-c default build type, and fix up the assert() errors in t… \ <a href="https://github.com/json-c/json-c/issues/548">Issue #548</a> - Solve some problems about cmake build type (debug/release) \ <a href="https://github.com/json-c/json-c/issues/549">Issue #549</a> - lib installation issues \ <a href="https://github.com/json-c/json-c/issues/550">Issue #550</a> - Format codes with clang-format tool? \ <a href="https://github.com/json-c/json-c/issues/551">Issue #551</a> - Allow hexadecimal number format convention parsing \ <a href="https://github.com/json-c/json-c/issues/553">Issue #553</a> - Fix/clang ubsan \ <a href="https://github.com/json-c/json-c/issues/554">Issue #554</a> - RFC 8259 compatibility mode \ <a href="https://github.com/json-c/json-c/issues/555">Issue #555</a> - Format json-c with clang-format tool \ <a href="https://github.com/json-c/json-c/issues/556">Issue #556</a> - Fixes various Wreturn-type and Wimplicit-fallthrough errors on Mingw-w64 \ <a href="https://github.com/json-c/json-c/issues/557">Issue #557</a> - Add option in CMAKE to not build documentation \ <a href="https://github.com/json-c/json-c/issues/558">Issue #558</a> - modify the doc target message \ <a href="https://github.com/json-c/json-c/issues/559">Issue #559</a> - <a class="el" href="json__visit_8h.html#a0f585e56a5d417381cdf6c28538dbb20">json_c_visit()</a> not exported on Windows \ <a href="https://github.com/json-c/json-c/issues/560">Issue #560</a> - error: implicit declaration of function '_strtoi64' \ <a href="https://github.com/json-c/json-c/issues/561">Issue #561</a> - add the badge in <a class="el" href="README_8md.html">README.md</a> and test the coveralls \ <a href="https://github.com/json-c/json-c/issues/562">Issue #562</a> - Bugfix and testcases supplements \ <a href="https://github.com/json-c/json-c/issues/563">Issue #563</a> - Changed order of calloc args to match stdlib \ <a href="https://github.com/json-c/json-c/issues/564">Issue #564</a> - Remove autogenerated files \ <a href="https://github.com/json-c/json-c/issues/565">Issue #565</a> - test the CI and ignore this PR \ <a href="https://github.com/json-c/json-c/issues/566">Issue #566</a> - add the <a class="el" href="json__types_8h.html" title="Basic types used in a few places in json-c, but you should include &quot;json_object.h&quot; instead...">json_types.h</a> to Makefile.am \ <a href="https://github.com/json-c/json-c/issues/567">Issue #567</a> - Install <a class="el" href="json__types_8h.html" title="Basic types used in a few places in json-c, but you should include &quot;json_object.h&quot; instead...">json_types.h</a> with autotools build as well. \ <a href="https://github.com/json-c/json-c/issues/568">Issue #568</a> - Adding better support to MinGW \ <a href="https://github.com/json-c/json-c/issues/569">Issue #569</a> - Handling of -Bsymbolic-function in CMakeLists.txt is deficient \ <a href="https://github.com/json-c/json-c/issues/571">Issue #571</a> - CMake: Bump SONAME to 5. \ <a href="https://github.com/json-c/json-c/issues/572">Issue #572</a> - Small fixes to CMakeLists \ <a href="https://github.com/json-c/json-c/issues/573">Issue #573</a> - Fix coveralls submission. \ <a href="https://github.com/json-c/json-c/issues/574">Issue #574</a> - autogen.sh missing from repository \ <a href="https://github.com/json-c/json-c/issues/575">Issue #575</a> - Small cosmetics. \ <a href="https://github.com/json-c/json-c/issues/576">Issue #576</a> - Test coverage for json_c_version. \ <a href="https://github.com/json-c/json-c/issues/577">Issue #577</a> - Be verbose on failing json_c_version test. \ <a href="https://github.com/json-c/json-c/issues/578">Issue #578</a> - CMake: Install pkgconfig file in proper location by default \ <a href="https://github.com/json-c/json-c/issues/579">Issue #579</a> - Enforce strict prototypes. \ <a href="https://github.com/json-c/json-c/issues/580">Issue #580</a> - Fix CMake tests for enforced strict prototypes. \ <a href="https://github.com/json-c/json-c/issues/581">Issue #581</a> - CMakeLists: do not enforce strict prototypes on Windows. \ </p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sun Apr 19 2020 03:40:44 for json-c by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.2
</small></address>
</body>
</html>
